#include <stdio.h>

#include "icsnVC40.h"
#include "Messages.h"
#include "Display.h"

int main(int argc, char *argv[]){	
	if (argc != 2){
		printf("please enter the file name which you would like to display.\n");
		return -1;
	}

	Messages * messages = new Messages();
	if(!messages->Read(argv[1])){
		delete messages;
		return -1;
	}

	Display displayMessages(messages);
	displayMessages.DisplayALL();
	delete messages;
}
